function initEB() {
	if (EB.isInitialized()) {
		startAd();
	}
	else {
		EB.addEventListener(EBG.EventName.EB_INITIALIZED, startAd);
	}
}

function startAd() {
	addEventListeners();
}

function addEventListeners() {
	var clickthroughButton = document.getElementById("clickthrough-button");
	var userActionButton = document.getElementById("user-action-button");

	clickthroughButton.addEventListener("click", clickthrough);
	userActionButton.addEventListener("click", userAction);
}

function clickthrough(event) {
	EB.clickthrough();
}

function userAction(event) {
	EB.userActionCounter("UserAction");
}

window.addEventListener("load", initEB);